Package com.io7m.coffeepick.runtime.format.xml

# Class FormatXML1RuntimeChildHash.Builder

java.lang.Object
com.io7m.coffeepick.runtime.format.xml.FormatXML1RuntimeChildHash.Builder

Enclosing class:
  FormatXML1RuntimeChildHash

    public static final class FormatXML1RuntimeChildHash.Builder
    extends java.lang.Object

Builds instances of type `FormatXML1RuntimeChildHash`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

`Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `FormatXML1RuntimeChildHash` | `build()` | Builds a new `FormatXML1RuntimeChildHash`.
  `FormatXML1RuntimeChildHash.Builder` | `from​(FormatXML1RuntimeChildType.FormatXML1RuntimeChildHashType instance)` | Fill a builder with attribute values from the provided `FormatXML1RuntimeChildHashType` instance.
  `FormatXML1RuntimeChildHash.Builder` | `setHash​(RuntimeHash hash)` | Initializes the value for the `hash` attribute.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### from

    public final FormatXML1RuntimeChildHash.Builder from​(FormatXML1RuntimeChildType.FormatXML1RuntimeChildHashType instance)
    Fill a builder with attribute values from the provided `FormatXML1RuntimeChildHashType` instance. Regular attribute values will be replaced with those from the given instance. Absent optional values will not replace present values.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### setHash

    public final FormatXML1RuntimeChildHash.Builder setHash​(RuntimeHash hash)
    Initializes the value for the `hash` attribute.
    Parameters:
      `hash` - The value for hash
    Returns:
      `this` builder for use in a chained invocation

  - ### build

    public FormatXML1RuntimeChildHash build()
    Builds a new `FormatXML1RuntimeChildHash`.
    Returns:
      An immutable instance of FormatXML1RuntimeChildHash
    Throws:
      `java.lang.IllegalStateException` - if any required attributes are missing